/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SHUTDOWN_H
#define SHUTDOWN_H

#include <kdialog.h>
#include <QLabel>
#include <QProgressBar>

class QTimer;
class QLabel;
class KApplication;
class QProgressBar;

/**
	@author Bernd Juraschek <kvdrmon@bjusystems.de>
*/
class shutdown : public KDialog
{
  Q_OBJECT

public:
  shutdown(KApplication * app);
  ~shutdown();
  void exec(int wait);
private slots:
  void cancelClicked();
  void timeout();
private:
  QTimer * timer;
  QProgressBar * progress;
  int remaining;
  KApplication * app;
};

#endif
